#include <stdio.h>
#include <math.h>
double calculatePolygonArea (int numCorners, double x[], double y[]);

int main () {
	int n, i = 0;
	printf ("Enter number of distinct corners for the polygon: ");
	scanf ("%d",&n);
	if (n < 3) {
		printf ("Error n < 3");
		return 1;
	}
	double area, x[n+1], y[n+1];
	for ( ; i < n ; i++) {
		printf ("Enter the x and y coordinates of corner#%d: ",i+1);
		scanf ("%lf%lf", &x[i], &y[i]);
	}
	x[n] = x[0];
	y[n] = y[0];
	area = calculatePolygonArea (n, x, y);
	printf ("Polygon area = %lf sqr meters",area);

	return 0;
}
//=================================
double calculatePolygonArea (int numCorners, double x[], double y[]) {
	double area = 0;
	int i = 1;
	for ( ; i <= numCorners ; i++)
		area += (x[i] + x[i-1]) * (y[i] - y[i-1]);
	return fabs(area / 2.0);
}
