#include <stdio.h>
#include <math.h>
#define PI 3.141592

void getInput (double *r , double *s );
void computeResults ( double r , double s , double *a , double *v );

int main () {
	double r , s , a , v;
	getInput ( &r , &s );
	if ( s < r || s <= 0 || r <= 0 )
		printf ("Error: Invalid input");
	else {
		computeResults ( r , s , &a , &v );
		printf ("\nArea = %.2lf square cm", a);
		printf ("\nVolume = %.2lf cubic cm", v);
	}
	
	return 0;
}
//==========================
void getInput (double *r ,double *s ) {
	printf ("Enter the radius [cm] and the slant length [cm] of the cone: ");
	scanf("%lf%lf", &*r , &*s );
}
//===========================
void computeResults ( double r , double s , double *a , double *v ) {
	*a = PI * r * ( r + s );
	*v = ( PI * r*r * sqrt( s*s - r*r ) ) / 3.0;
}

