#include <stdio.h>
#include <stdlib.h>

void score (double l , double cw , double m , double f , double *s);
void grade (double s, char *grade);

int main () {
	FILE *scores , *result;
	int id;
	char g;  //grade
	double l , cw , m , f , s;  //lab , coursework , mid , final , score;
	
	scores = fopen ("scores.txt","r");
	if (scores == NULL) {
		printf("Error: Failed to open scores.txt\n");
		exit (1);
	}
	result = fopen ("result.txt","w");
	fprintf (result,"	ID     SCORE     GRADE\n");
	for ( ; fscanf(scores,"%d%lf%lf%lf%lf",&id,&l,&cw,&m,&f) != EOF ; fprintf(result,"%d\t%.1lf\t%c\n",id,s,g)) {
		 score ( l, cw, m, f, &s);
		 grade (s, &g);  //score must be before grade; because grade need s which came from score.
	}
	
	fclose (scores);
	fclose (result);
	return 0;
}
//=========================
void score (double l , double cw , double m , double f , double *s) {
	*s = l / 5.0 + cw *15/100.0 + m *30/100.0 + f *35/100.0;	
}
//=========================
void grade (double s , char *grade) {
	if (s <=100 && s >=85)
		*grade = 'A';
	else if (s >=70)
		*grade = 'B';
	else if (s >=60)
		*grade = 'C';
	else if (s >=40)
		*grade = 'D';
	else if (s >=0)
		*grade = 'F';
	else {
		printf ("Error");
		exit (1);
	}
}
